Bug 258895 - dragging a BMP file onto the desktop doesn't recognize it as picture
Summary: dragging a BMP file onto the desktop doesn't recognize it as picture
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: containment-desktop (show other bugs)
Version: 4.8.90 (beta2)
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-05 12:31 UTC by Janet
Modified: 2012-06-19 14:28 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janet 2010-12-05 12:31:07 UTC
Version:           unspecified (using KDE 4.5.4) 
OS:                Linux

When I want to use a BMP as desktop wallpaper or for a picture frame and drag it onto the desktop the desktop doesn't recognize that it is a picture. It doesn't offer the usual picture menu but instead just creates a desktop element.

Reproducible: Always
Comment 1 Kolia 2011-12-07 21:32:13 UTC
I can confirm this in kde 4.7.3
Comment 2 Reza 2012-06-19 12:30:26 UTC
i can confirm on kde 4.9 beta 1
Comment 3 Reza 2012-06-19 12:31:19 UTC
i can confirm on kde 4.9 beta 1
Comment 4 Anne-Marie Mahfouf 2012-06-19 13:32:50 UTC
Confirmed on Beta 2
Although when you drag a .bmp from Dolphin directly into the Frame widget, the .bmp is set up as image in the widget.
Comment 5 Anne-Marie Mahfouf 2012-06-19 14:28:42 UTC
Git commit 3f7084e456021a908ae3fe261a0186ef40b53c13 by Anne-Marie Mahfouf.
Committed on 19/06/2012 at 16:26.
Pushed by annma into branch 'master'.

Add BMP support for desktop image dropping

Thanks to rshah, patch to add BMP desktop background support
FIXED-IN: 4.9

M  +2    -2    plasma/generic/wallpapers/image/plasma-wallpaper-image.desktop

http://commits.kde.org/kde-workspace/3f7084e456021a908ae3fe261a0186ef40b53c13